Subject: bug#38050: Guix fails during downloading a substitute of google-brotli, throws an ugly backtrace

From: Jan Wielkiewicz <[email-masked]>
Date: Sat, 9 Nov 2019 23:22:38 +0100

Hi,

Dnia 2019-11-07, o godz. 21:16:44
Ludovic Courtès <[email-masked]> napisał(a):

> Hello,
> 
> 
> Oh actually that’s not helpful, my bad.  What we would have need is
> the output of ‘guix substitute’ (invoked by the daemon), but that is
> not logged as-is.  :-/
> 
> I’ll take another look at the relevant code (and invite everyone to
> give it a shot :-)), and in the meantime we can leave this bug open.
> Do reply if that happens again!
Okay, this have happened again. Maybe it's caused by something I
changed in Jami.  I'm attaching the most recent changes.

Running "./pre-inst-env guix build jami" causes this:

3583063 14106624
 google-brotli-1.0.7-checkout  22.5MiB
                             770KiB/s 00:26 [###############   ]
86.1%Backtrace: In guix/store.scm: 623:10 19 (call-with-store _)
In guix/scripts/build.scm:
   927:26 18 (_ #<store-connection 256.99 7f5a10fcbea0>)
In ice-9/boot-9.scm:
    829:9 17 (catch _ _ #<procedure 7f5a1204baa0 at ice-9/boot-9.sc…> …)
In guix/ui.scm:
    425:6 16 (_)
In guix/scripts/build.scm:
    892:5 15 (_)
In srfi/srfi-1.scm:
   679:15 14 (append-map _ _ . _)
   592:17 13 (map1 ("x86_64-linux"))
   679:15 12 (append-map _ _ . _)
   592:17 11 (map1 (#<package [email-masked] gnu/packages/…>))
In guix/scripts/build.scm:
   853:18 10 (_ _)
In guix/packages.scm:
   948:16  9 (cache! #<weak-table 705/883> #<package jami@20191101.…> …)
In guix/grafts.scm:
    323:4  8 (graft-derivation #<store-connection 256.99 7f5a10fcbe…> …)
    172:4  7 (references-oracle #<store-connection 256.99 7f5a10fcb…> …)
   182:20  6 (_ _ _)
In guix/store.scm:
  1215:15  5 (_ #<store-connection 256.99 7f5a10fcbea0> _ _)
   718:13  4 (process-stderr _ _)
In unknown file:
           3 (display "@ substituter-succeeded /gnu/store/m18k3ba7y…" …)
In guix/status.scm:
   691:16  2 (write! _ _ _)
    605:6  1 (_ (download-progress "/gnu/store/brvizic3qv469j8fd…" …) …)
In guix/progress.scm:
   219:14  0 (display-download-progress "google@" #f #:start-time _ # …)

guix/progress.scm:219:14: In procedure display-download-progress:
In procedure =: Wrong type: #f

> Thanks,
> Ludo’.

Jan Wielkiewicz